このコンテンツは選択した言語では利用できません。
6.3. Get Authorization Information
Description
Get information about the specified authorization.
Method and URL Structure
| Method | URL Structure |
|---|---|
GET | /broker/rest/user/authorizations/:id |
Request Parameters
Not applicable
cURL Command Example
$ curl -X GET https://openshift.redhat.com/broker/rest/user/authorizations/52141fa2e499b2229e00009b --user user@example.com:password
JSON Response
The API returns information about the specified authorization and related resource links which have been left out for brevity. See Chapter 6, Authorizations for more information on all authorization parameters.
{
"api_version": 1.6,
"data": {
"created_at": "2013-08-21T02:02:10Z",
"expires_in": 2592000,
"expires_in_seconds": 2592000,
"id": "52141fa2e499b2229e00009b",
"identity": "user@example.com",
"note": "This is my UPDATED note to myself",
"scopes": "userinfo",
"token": "6c85ff7f619a964e260ee6def3fc5829128dbba3f8bc11a5d89178e0d6e7a163"
},
"messages": [
{
"exit_code": 0,
"field": null,
"severity": "info",
"text": "Display authorization"
}
],
"status": "ok",
"supported_api_versions": [
1.0,
1.1,
1.2,
1.3,
1.4,
1.5,
1.6
],
"type": "authorization",
"version": "1.6"
}